/Router
angular.module('ProjectApiModule', ['ui.router', 'ngResource', 'ProjectApiModule.controllers', 'ProjectApiModule.services']).config(function($stateProvider) {
    $stateProvider.state('project.State', {
        url: '/list-project',
        templateUrl: 'project/projectListViews.html',
        controller: 'carCtrlr'
    }).state('showCar', {
        url: '/:Id1',
        templateUrl: 'car-detail.html',
        controller: 'carDetailCtrl'
    }).state('newCar', {
        url: '/new',
        templateUrl: 'car-create.html',
        controller: 'carCreateController'
    }).state('editCar', {
        url: '/edit/:Id2',
        templateUrl: 'car-edit.html',
        controller: 'carEditCtrl'
    });
}).run(function($state) {
    $state.go('project.State');
});